class SI1 
{
  public static void bar() { }

  public static int passed = 1;
}

class SI2 extends SI1
{
  static {
    System.out.println("FAILED:  made it to static initializer");
    passed = 0;
  }
}

public class StaticInitTest4
{
  public static void main(String args[])
  {
    SI2.bar();

    if (SI1.passed == 1)
      System.out.println("PASSED: did not invoke subclass's <clinit> method.");
  }
}
